import { LoopKind, SchedulerEvent } from './scheduler-event';
export declare function roundPrecision(num: number, precision: number): number;
export declare function floorPrecision(num: number, precision: number): number;
export declare function ceilPrecision(num: number, precision: number): number;
export declare type EventTuple = [number, SchedulerEvent];
export declare const getEventsInRange: (turns: Map<number, Set<SchedulerEvent>>, loop: LoopKind, loopStart: number, loopEnd: number, currentTime: number, playbackStartTime: number, quantumDurationTime: number, sampleTime: number) => {
    needTurn: number;
    results: EventTuple[];
};
